/*
  FlexNav.js 1.1

  Created by Jason Weaver http://jasonweaver.name
  Released under http://unlicense.org/

//
*/


(function ($) {
// Add drupal 7 code.
Drupal.behaviors.flexnav = {
  attach:function (context, settings) {
// End drupal calls.

 $ = jQuery;

  $.fn.flexNav = function(options) {
    var $nav, breakpoint, flag, resetMenu, resizer, selector, settings, showMenu;
    settings = $.extend({
      'animationSpeed': 250,
      'transitionOpacity': true,
      'buttonSelector': '.menu-button',
      'hoverIntent': false,
      'hoverIntentTimeout': 150
    }, options);
    $nav = $(this);
    flag = false;
    $nav.addClass('with-js');
    if (settings.transitionOpacity === true) {
      $nav.addClass('opacity');
    }
    $nav.find("li").each(function() {
      if ($(this).has("ul").length) {
        return $(this).addClass("item-with-ul").find("ul").hide();
      }
    });
    if ($nav.data('breakpoint')) {
      breakpoint = $nav.data('breakpoint');
    }
    showMenu = function() {
      if ($nav.hasClass('lg-screen') === true) {
        if (settings.transitionOpacity === true) {
          return $(this).find('>ul').addClass('show').stop(true, true).animate({
            height: ["toggle", "swing"],
            opacity: "toggle"
          }, settings.animationSpeed);
        } else {
          return $(this).find('>ul').addClass('show').stop(true, true).animate({
            height: ["toggle", "swing"]
          }, settings.animationSpeed);
        }
      }
    };
    resetMenu = function() {
      if ($nav.hasClass('lg-screen') === true && $(this).find('>ul').hasClass('show') === true) {
        if (settings.transitionOpacity === true) {
          return $(this).find('>ul').removeClass('show').stop(true, true).animate({
            height: ["toggle", "swing"],
            opacity: "toggle"
          }, settings.animationSpeed);
        } else {
          return $(this).find('>ul').removeClass('show').stop(true, true).animate({
            height: ["toggle", "swing"]
          }, settings.animationSpeed);
        }
      }
    };
    resizer = function() {
      if ($(window).width() <= breakpoint) {
        $nav.removeClass("lg-screen").addClass("sm-screen");
        return $('.one-page li a').on('click', function() {
          return $nav.removeClass('show');
        });
      } else if ($(window).width() > breakpoint) {
        $nav.removeClass("sm-screen").addClass("lg-screen");
        $nav.removeClass('show');
        if (settings.hoverIntent === true) {
          return $('.item-with-ul').hoverIntent({
            over: showMenu,
            out: resetMenu,
            timeout: settings.hoverIntentTimeout
          });
        } else if (settings.hoverIntent === false) {
          return $('.item-with-ul').on('mouseenter', showMenu).on('mouseleave', resetMenu);
        }
      }
    };
    $(settings['buttonSelector']).data('navEl', $nav);
    selector = '.item-with-ul, ' + settings['buttonSelector'];
    $(selector).append('<span class="touch-button"><i class="navicon">&#9660;</i></span>');
    selector = settings['buttonSelector'] + ', ' + settings['buttonSelector'] + ' .touch-button';
    $(selector).on('touchstart click', function(e) {
      var $btnParent, $thisNav, bs;
      e.preventDefault();
      e.stopPropagation();
      bs = settings['buttonSelector'];
      $btnParent = $(this).is(bs) ? $(this) : $(this).parent(bs);
      $thisNav = $btnParent.data('navEl');
      if (flag === false) {
        flag = true;
        setTimeout(function() {
          return flag = false;
        }, 301);
        return $thisNav.toggleClass('show');
      }
    });
    $('.touch-button').on('touchstart click', function(e) {
      var $sub, $touchButton;
      e.preventDefault();
      e.stopPropagation();
      $sub = $(this).parent('.item-with-ul').find('>ul');
      $touchButton = $(this).parent('.item-with-ul').find('>span.touch-button');
      if (flag === false) {
        flag = true;
        setTimeout(function() {
          return flag = false;
        }, 301);
        if ($nav.hasClass('lg-screen') === true) {
          $(this).parent('.item-with-ul').siblings().find('ul.show').removeClass('show').hide();
        }
        if ($sub.hasClass('show') === true) {
          $sub.removeClass('show').slideUp(settings.animationSpeed);
          return $touchButton.removeClass('active');
        } else if ($sub.hasClass('show') === false) {
          $sub.addClass('show').slideDown(settings.animationSpeed);
          return $touchButton.addClass('active');
        }
      }
    });
    $nav.find('.item-with-ul *').focus(function() {
      $(this).parent('.item-with-ul').parent().find(".open").not(this).removeClass("open").hide();
      return $(this).parent('.item-with-ul').find('>ul').addClass("open").show();
    });
    resizer();
    return $(window).on('resize', resizer);
  };


}}})
(jQuery);


(function ($) {
// Add drupal 7 code.
Drupal.behaviors.flexnav = {
  attach:function (context, settings) {
// End drupal calls.

 $ = jQuery;

  $.fn.flexNav = function(options) {
    var $nav, breakpoint, flag, resetMenu, resizer, selector, settings, showMenu;
    settings = $.extend({
      'animationSpeed': 250,
      'transitionOpacity': true,
      'buttonSelector': '.menu-button',
      'hoverIntent': false,
      'hoverIntentTimeout': 150
    }, options);
    $nav = $(this);
    flag = false;
    $nav.addClass('with-js');
    if (settings.transitionOpacity === true) {
      $nav.addClass('opacity');
    }
    $nav.find("li").each(function() {
      if ($(this).has("ul").length) {
        return $(this).addClass("item-with-ul").find("ul").hide();
      }
    });
    if ($nav.data('breakpoint')) {
      breakpoint = $nav.data('breakpoint');
    }
    showMenu = function() {
      if ($nav.hasClass('lg-screen') === true) {
        if (settings.transitionOpacity === true) {
          return $(this).find('>ul').addClass('show').stop(true, true).animate({
            height: ["toggle", "swing"],
            opacity: "toggle"
          }, settings.animationSpeed);
        } else {
          return $(this).find('>ul').addClass('show').stop(true, true).animate({
            height: ["toggle", "swing"]
          }, settings.animationSpeed);
        }
      }
    };
    resetMenu = function() {
      if ($nav.hasClass('lg-screen') === true && $(this).find('>ul').hasClass('show') === true) {
        if (settings.transitionOpacity === true) {
          return $(this).find('>ul').removeClass('show').stop(true, true).animate({
            height: ["toggle", "swing"],
            opacity: "toggle"
          }, settings.animationSpeed);
        } else {
          return $(this).find('>ul').removeClass('show').stop(true, true).animate({
            height: ["toggle", "swing"]
          }, settings.animationSpeed);
        }
      }
    };
    resizer = function() {
      if ($(window).width() <= breakpoint) {
        $nav.removeClass("lg-screen").addClass("sm-screen");
        return $('.one-page li a').on('click', function() {
          return $nav.removeClass('show');
        });
      } else if ($(window).width() > breakpoint) {
        $nav.removeClass("sm-screen").addClass("lg-screen");
        $nav.removeClass('show');
        if (settings.hoverIntent === true) {
          return $('.item-with-ul').hoverIntent({
            over: showMenu,
            out: resetMenu,
            timeout: settings.hoverIntentTimeout
          });
        } else if (settings.hoverIntent === false) {
          return $('.item-with-ul').on('mouseenter', showMenu).on('mouseleave', resetMenu);
        }
      }
    };
    $(settings['buttonSelector']).data('navEl', $nav);
    selector = '.item-with-ul, ' + settings['buttonSelector'];
    $(selector).append('<span class="touch-button"><i class="navicon">&#9660;</i></span>');
    selector = settings['buttonSelector'] + ', ' + settings['buttonSelector'] + ' .touch-button';
    $(selector).on('touchstart click', function(e) {
      var $btnParent, $thisNav, bs;
      e.preventDefault();
      e.stopPropagation();
      bs = settings['buttonSelector'];
      $btnParent = $(this).is(bs) ? $(this) : $(this).parent(bs);
      $thisNav = $btnParent.data('navEl');
      if (flag === false) {
        flag = true;
        setTimeout(function() {
          return flag = false;
        }, 301);
        return $thisNav.toggleClass('show');
      }
    });
    $('.touch-button').on('touchstart click', function(e) {
      var $sub, $touchButton;
      e.preventDefault();
      e.stopPropagation();
      $sub = $(this).parent('.item-with-ul').find('>ul');
      $touchButton = $(this).parent('.item-with-ul').find('>span.touch-button');
      if (flag === false) {
        flag = true;
        setTimeout(function() {
          return flag = false;
        }, 301);
        if ($nav.hasClass('lg-screen') === true) {
          $(this).parent('.item-with-ul').siblings().find('ul.show').removeClass('show').hide();
        }
        if ($sub.hasClass('show') === true) {
          $sub.removeClass('show').slideUp(settings.animationSpeed);
          return $touchButton.removeClass('active');
        } else if ($sub.hasClass('show') === false) {
          $sub.addClass('show').slideDown(settings.animationSpeed);
          return $touchButton.addClass('active');
        }
      }
    });
    $nav.find('.item-with-ul *').focus(function() {
      $(this).parent('.item-with-ul').parent().find(".open").not(this).removeClass("open").hide();
      return $(this).parent('.item-with-ul').find('>ul').addClass("open").show();
    });
    resizer();
    return $(window).on('resize', resizer);
  };


}}})
(jQuery);
